Subject: Re: bug#7408: Linux patchutils: Development of the project?

From: Lennart Borgman <[email-masked]>
Date: Tue, 16 Nov 2010 22:59:53 +0100

On Tue, Nov 16, 2010 at 10:25 PM, Jari Aalto <[email-masked]> wrote:
> Glenn Morris <rgm <at> gnu.org>
>> subr.el has had a dolist definition since at least Emacs 21.x; ie 9 years.
>> Therefore this cannot be a major issue in practice.
>
> In my book it is still a bug, no matter how many years ago this bug were
> introduced:
>
>    - To have two different implementations of same function.
>    - To not be able to rely on uniform behavior.

IMO subtle differences are among the worst bugs. It can take a long
time to discover what is wrong and you often guess wrong (especially
if you are not aware of how difficult it can be).

And the subtle difference often shows up in complicated situations.

Maybe the cl version should be renamed?